using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using FWindSoft.Wpf;

namespace Com.FirmLib.UI.Manufacturer
{
    /// <summary>
    /// UserControl1.xaml 的交互逻辑
    /// </summary>
    public partial class WinProductList 
    {
        private VmProductList m_Vm;
        public WinProductList() : this(new VmProductList())
        {

        }
        public WinProductList(VmProductList vm)
        {
            InitializeComponent();
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
        }
        protected override void LoadData(LoadParameter parameter)
        {
            TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
            //this.m_Vm.Init(parameter);
        }
    }
}
